<audio #audioElement src="{{src}}">
    <p>Your browser does not support HTML5 audio. Here is a <a href="{{src}}">link</a> instead.</p>
  </audio>
  <a (click)="paused ? play() : pause()" class="play-preview">
    <mat-icon mat-icon-button *ngIf="paused" style="color: #3b6899;">play_circle_outline</mat-icon>
    <mat-icon mat-icon-button *ngIf="!paused" style="color: #3b6899;">pause_circle_outline</mat-icon>
  </a>